geos::geom::CoordinateSequences Class Reference

The CoordinateSequences class provides utility methods to operate on CoordinateSequences. Methods that do not benefit from access to the CoordinateSequence internals can be placed here. More...

`#include <CoordinateSequences.h>`

## Static Public Member Functions

template<typename F, class... Args>
static void | binaryDispatch (const CoordinateSequence &seq1, const CoordinateSequence &seq2, F &fun, Args... args)
| binaryDispatch calls a functor template, explicitly providing the backing types of two CoordinateSequences. The CoordinateSequences are not provided to the functor as arguments but can be provided along with any other arguments through the args argument.

## Detailed Description

The CoordinateSequences class provides utility methods to operate on CoordinateSequences. Methods that do not benefit from access to the CoordinateSequence internals can be placed here.

The documentation for this class was generated from the following file:

- CoordinateSequences.h